Entwurf EntwurfZuSkizze

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Draft2Sketch and the translation is 94% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎hrvatski • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский

Draft Draft2Sketch.svg Entwurf EntwurfZuSkizze

Menüeintrag
Änderung → Entwurf zu Skizze
Arbeitsbereich
Entwurf, Architektur
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Keiner

Beschreibung

Der Draft Draft2Sketch.svg Entwurf EntwurfZuSkizze Befehl wandelt Entwurfsobjekte in Skizzierer Skizzen um und umgekehrt.

Draft Draft2Sketch example.png

Konvertieren von Entwurfsobjekten in Skizzierer Skizzen

Anwendung

  1. Wähle optional ein oder mehrere Entwurfsobjekte oder Skizzierer Skizzen.
  2. Es gibt mehrere Möglichkeiten, den Befehl aufzurufen:
  3. Wenn du noch kein Objekt ausgewählt hast: Wähle ein Objekt in der 3D Ansicht.
  4. Ein neues Objekt wird erstellt.

Anmerkungen

Skripten

Siehe auch: Autogenerierte API Dokumentation und FreeCAD Grundlagen Skripten.

Um Objekte in eine Skizze zu konvertieren, verwendedie Methode make_sketch (eingeführt in Version 0.19) des Moduls Entwurf. Diese Methode ersetzt die veraltete Methode makeSketch.

sketch = make_sketch(objects_list, autoconstraints=False, addTo=None, delete=False, name="Sketch", radiusPrecision=-1, tol=1e-3)
  • objects_list enthält die zu konvertierenden Objekte. Es ist entweder ein einzelnes Objekt oder eine Liste von Objekten. Unterstützt werden Draft Objekte, Part::Feature Objekte und Part.Shape Objekte.
  • Wenn autoconstraints True ist, werden übereinstimmende Zwangsbedingungen zu Knoten hinzugefügt, die zum selben Quellobjekt gehören.
  • addTo ist das vorhandene Skizzenobjekt, zu dem die Geometrie hinzugefügt wird. Wenn nicht angegeben, wird eine neue Skizze erstellt.
  • Wenn delete gleich True ist, werden die Quellobjekte gelöscht.
  • name ist der Name für die neue Skizze.
  • radiusPrecision gibt an, wie die Radiusbeschränkungen behandelt werden sollen:
    • Verwenden Sie -1, um Radiuseinschränkungen zu deaktivieren.
    • Verwenden Sie 0, um einzelne Radiusbeschränkungen hinzuzufügen.
    • Verwenden Sie eine positive Zahl, um Radien entsprechend dieser Genauigkeit zu runden und um gleiche Zwangsbedingungen zwischen Kurven mit gleichen Radien hinzuzufügen.
  • tol ist die Toleranz, die verwendet wird, um zu prüfen, ob Formen planar und koplanar sind. Verwenden Sie -1 für eine strenge Prüfung.
  • sketch wird mit dem Skizzenobjekt zurückgegeben.

Um eine Skizze in Entwurfsobjekte umzuwandeln, verwende die Methode draftify des Entwurf Moduls.

draftify(objectslist, makeblock=False, delete=True)
  • objectslist enthält die zu konvertierenden Objekte. Es ist entweder ein einzelnes Objekt oder eine Liste von Objekten.
  • Wenn makeblock gleich True ist, werden die konvertierten Objekte in einem Part::Part2DObject gruppiert.
  • Wenn delete gleich True ist, werden die Quellobjekte gelöscht.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle = Draft.make_rectangle(2000, 1000)
circle = Draft.make_circle(500)
doc.recompute()

sketch_from_draft = Draft.make_sketch([rectangle, circle], autoconstraints=True, delete=False, radiusPrecision=0)
doc.recompute()

draft_from_sketch = Draft.draftify(sketch_from_draft, delete=False)
doc.recompute()